## pootle.tar.bz2

=== glucose/sugar-update-control/Makefile ===
# CANONICAL SOURCE OF VERSION STRING:
VERSION_MAJOR=0
VERSION_MINOR=20
PACKAGE=sugar-update-control
MOCK=./mock-wrapper -r olpc-3-i386 --resultdir=$(MOCKDIR) $(MOCK_OPTS)
MOCKDIR=./rpms
PKGVER=$(PACKAGE)-$(VERSION_MAJOR).$(VERSION_MINOR)
CWD=$(shell pwd)

# fixup version number in spec and changes file
update-version:
	sed -e 's/^Name: .*/Name: $(PACKAGE)/' -e 's/^Version: .*/Version: $(VERSION_MAJOR).$(VERSION_MINOR)/' -i $(PACKAGE).spec
	sed -e 's/version=.*/version="$(VERSION_MAJOR).$(VERSION_MINOR)",/' -i setup.py
	grep -q $(VERSION_MAJOR).$(VERSION_MINOR) debian/changelog

# update the translation template
po/sugar-update-control.pot: src/__init__.py src/view.py src/model.py
	xgettext -o $@ \
	  --copyright-holder="One Laptop per Child Association, Inc." \
	  --package-name="$(PACKAGE)" \
	  --package-version="$(VERSION_MAJOR).$(VERSION_MINOR)" \
	  --msgid-bugs-address="cscott@laptop.org" \
	  $^

# note that this builds the tarball from *committed git bits* only.
# do a git commit before invoking this.
$(PKGVER).tar.gz: update-version
	git-diff --shortstat --exit-code # check that our working copy is clean
	git-diff --cached --shortstat --exit-code # uncommitted changes?
	git-archive --format=tar --prefix=$(PKGVER)/ HEAD | gzip -9 > $@
.PHONY: $(PKGVER).tar.gz # force refresh

# builds SRPM and RPMs in an appropriate chroot, leaving the results in
# the $(MOCKDIR) subdirectory.

# make the SRPM.
$(PKGVER)-1.src.rpm: update-version $(PKGVER).tar.gz
	rpmbuild --define "_specdir $(CWD)" --define "_sourcedir $(CWD)" --define "_builddir $(CWD)" --define "_srcrpmdir $(CWD)" --define "_rpmdir $(CWD)" --define "dist %nil" --nodeps -bs $(PACKAGE).spec

# build RPMs from the SRPM
mock:	$(PKGVER)-1.src.rpm
	@mkdir -p $(MOCKDIR)
	$(MOCK) -q --init
	$(MOCK) --installdeps $(PKGVER)-1.src.rpm
	$(MOCK) -v --no-clean --rebuild $(PKGVER)-1.src.rpm

upload:
	@mkdir -p $(MOCKDIR)
	rsync -4 -avz $(PACKAGE).changes dev.laptop.org:public_rpms/joyride
	rsync -4 -avz --include="*.rpm" --exclude="*" $(MOCKDIR)/ dev.laptop.org:public_rpms/joyride

clean:
	-$(RM) $(PKGVER)-1.src.rpm $(PKGVER).tar.gz
	-$(RM) -rf $(MOCKDIR)

=== honey/colors/Makefile ===
pythondir = $(shell python -c "from distutils import sysconfig; print sysconfig.get_python_lib()")

all clean:
	$(MAKE) -C colorsc $@

install: all
	./setup.py fix_manifest
	sed -i /^colorsc/d MANIFEST
	./setup.py install --prefix=$(DESTDIR)/usr
	for i in __init__.py _colorsc.so colorsc.py; do \
		install -m 644 -D colorsc/$$i $(DESTDIR)/$(pythondir)/colorsc/$$i; \
	done

=== honey/record-activity.old/Makefile ===
PYVER=`python -c "import sys; print '%s.%s' % (sys.version_info[0], sys.version_info[1])"`
PYTHON=python$(PYVER)

GLIB_INCLUDES=`pkg-config --cflags glib-2.0`
GLIB_LIBS=`pkg-config --libs glib-2.0`

GTK_INCLUDES=`pkg-config --cflags gtk+-2.0`
GTK_LIBS=`pkg-config --libs gtk+-2.0`

PYGTK_INCLUDES=`pkg-config --cflags pygtk-2.0`
PYGTK_LIBS=`pkg-config --libs pygtk-2.0`

CAIRO_INCLUDES=`pkg-config --cflags cairo`
CAIRO_LIBS=`pkg-config --libs cairo`

PYCAIRO_INCLUDES=`pkg-config --cflags pycairo`
PYCAIRO_LIBS=`pkg-config --libs pycairo`

INCLUDES=-I. -I/usr/include/${PYTHON} ${GLIB_INCLUDES} ${PYGTK_INCLUDES} ${CAIRO_INCLUDES} ${PYCAIRO_INCLUDES} ${GTK_INCLUDES}
ARCHFLAGS=-m32 -march=i386 -mtune=generic 
OPTFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables
CFLAGS=-g -fPIC -DPIC
LDFLAGS=-shared -nostdlib -Wl,--export-dynamic -pthread 

all: build link

build: _camera.o
_camera.o: _camera.c
	gcc ${INCLUDES} ${ARCHFLAGS} ${OPTFLAGS} ${CFLAGS} -c _camera.c -o _camera.o

link: _camera.so
_camera.so: _camera.o
	g++ ${LDFLAGS} _camera.o ${GLIB_LIBS} ${PYGTK_LIBS} ${CAIRO_LIBS} ${PYCAIRO_LIBS} ${GTK_LIBS} -Wl,-soname -Wl,_camera.so -o _camera.so

clean: 
	@find -name "*.o" -exec rm {} \;
	@find -name "*.so" -exec rm {} \;

=== honey/colors/colorsc/Makefile ===
CXXFLAGS = $(shell pkg-config --cflags gdk-x11-2.0) \
           $(shell pkg-config --cflags gstreamer-0.10) \
		   $(shell pkg-config --cflags pygtk-2.0) \
		   $(shell python-config --cflags) \
           -fPIC -O2
LDFLAGS  = $(shell pkg-config --libs gdk-x11-2.0) \
           $(shell pkg-config --libs gstreamer-0.10) \
		   $(shell pkg-config --libs pygtk-2.0) \
           $(shell python-config --libs)

ARCH = $(shell arch | grep 64 >/dev/null && echo linux64 || echo linux32)
PYTHON_VERSION = $(shell python -c 'import sys; print "%d%d" % sys.version_info[0:2]')
LIB_DIR = $(ARCH)_$(PYTHON_VERSION)

all : _colorsclib.so
	rm -rf $(LIB_DIR)
	mkdir $(LIB_DIR)
	strip -s _colorsclib.so
	mv _colorsclib.so colorsclib.py $(LIB_DIR)/
	touch $(LIB_DIR)/__init__.py

clean:
	rm -rf _colorsclib.so colorsclib.cpp colorsclib.py colorsclib.pyc *.o

%.cpp: %.i
	swig -c++ -python -o $*.cpp $<

_canvas.o: colorsc.h canvas.h 

_colorsclib.so: colorsclib.o canvas.o
	$(CXX) -shared $(LDFLAGS) -o $@ $^

=== honey/oficina/fill/Makefile ===
#Copyright 2007, NATE-LSI-EPUSP

#Oficina is developed in Brazil at Escola Politécnica of 
#Universidade de São Paulo. NATE is part of LSI (Integrable
#Systems Laboratory) and stands for Learning, Work and Entertainment
#Research Group. Visit our web page: 
#www.nate.lsi.usp.br
#Suggestions, bugs and doubts, please email oficina@lsi.usp.br

#Oficina is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License 
#as published by the Free Software Foundation version 2 of 
#the License.

#Oficina is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#General Public License for more details.

#You should have received a copy of the GNU General Public
#License along with Oficina; if not, write to the
#Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, 
#Boston, MA  02110-1301  USA.
#The copy of the GNU General Public License is found in the 
#COPYING file included in the source distribution.


#Authors:

#Joyce Alessandra Saul               (joycealess@gmail.com)
#Andre Mossinato                     (andremossinato@gmail.com)
#Nathalia Sautchuk Patrício          (nathalia.sautchuk@gmail.com)
#Pedro Kayatt                        (pekayatt@gmail.com)
#Rafael Barbolo Lopes                (barbolo@gmail.com)
#Alexandre A. Gonçalves Martinazzo   (alexandremartinazzo@gmail.com)

CFLAGS = $(shell pkg-config --cflags gtk+-2.0 pygtk-2.0) \
		 $(shell python-config --cflags) \
		-fPIC

LDFLAGS = $(shell pkg-config --libs gtk+-2.0 pygtk-2.0) \
          $(shell python-config --libs)

ARCH = $(shell arch | grep 64 >/dev/null && echo linux64 || echo linux32)
PYTHON_VERSION = $(shell python -c 'import sys; print "%d%d" % sys.version_info[0:2]')
LIB_DIR = $(ARCH)_$(PYTHON_VERSION)

all: _fill.so
	rm -rf $(LIB_DIR)
	mkdir $(LIB_DIR)
	strip -s _fill.so
	mv _fill.so $(LIB_DIR)/
	touch $(LIB_DIR)/__init__.py

_fill.so: fill.o eggfill.o fillmodule.o
	$(LD) $(LDFLAGS) -shared $^ -o $@

DEFS=`pkg-config --variable=defsdir pygtk-2.0`
# Generate the C wrapper
fill.c: fill.defs fill.override
	pygtk-codegen-2.0 --prefix fill \
	--register $(DEFS)/gdk-types.defs \
	--register $(DEFS)/gdk-base.defs \
	--register $(DEFS)/gtk-types.defs \
	--override fill.override \
	fill.defs > $@

clean:
	rm -f *.so *.o fill.c *~

=== honey/record-activity/camerac/Makefile ===
PYVER=`python -c "import sys; print '%s.%s' % (sys.version_info[0], sys.version_info[1])"`
PYTHON=python$(PYVER)
PYTHON_LIBS=`python-config --libs`

GLIB_INCLUDES=`pkg-config --cflags glib-2.0`
GLIB_LIBS=`pkg-config --libs glib-2.0`

GTK_INCLUDES=`pkg-config --cflags gtk+-2.0`
GTK_LIBS=`pkg-config --libs gtk+-2.0`

PYGTK_INCLUDES=`pkg-config --cflags pygtk-2.0`
PYGTK_LIBS=`pkg-config --libs pygtk-2.0`

CAIRO_INCLUDES=`pkg-config --cflags cairo`
CAIRO_LIBS=`pkg-config --libs cairo`

PYCAIRO_INCLUDES=`pkg-config --cflags pycairo`
PYCAIRO_LIBS=`pkg-config --libs pycairo`

INCLUDES=-I. -I/usr/include/${PYTHON} ${GLIB_INCLUDES} ${PYGTK_INCLUDES} ${CAIRO_INCLUDES} ${PYCAIRO_INCLUDES} ${GTK_INCLUDES}
OPTFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables
CFLAGS=-g -fPIC -DPIC $(OPTFLAGS) $(INCLUDES)
LDFLAGS=-shared -nostdlib -Wl,--export-dynamic -pthread ${GLIB_LIBS} ${PYGTK_LIBS} ${CAIRO_LIBS} ${PYCAIRO_LIBS} ${GTK_LIBS} $(PYTHON_LIBS)

ARCH = $(shell arch | grep 64 >/dev/null && echo linux64 || echo linux32)
LIB_DIR = $(ARCH)_$(PYVER)

all: camera.so
	rm -rf $(LIB_DIR)
	mkdir $(LIB_DIR)
	strip -s $^
	mv $^ $(LIB_DIR)/
	touch $(LIB_DIR)/__init__.py

camera.so: camera.o
	$(CXX) $(LDFLAGS) -o $@ $^

clean: 
	rm -f *.o
	rm -f *.so

=== xo_core/oficina/fill_src/Makefile ===
#Copyright 2007, NATE-LSI-EPUSP

#Oficina is developed in Brazil at Escola Politécnica of 
#Universidade de São Paulo. NATE is part of LSI (Integrable
#Systems Laboratory) and stands for Learning, Work and Entertainment
#Research Group. Visit our web page: 
#www.nate.lsi.usp.br
#Suggestions, bugs and doubts, please email oficina@lsi.usp.br

#Oficina is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License 
#as published by the Free Software Foundation version 2 of 
#the License.

#Oficina is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#General Public License for more details.

#You should have received a copy of the GNU General Public
#License along with Oficina; if not, write to the
#Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, 
#Boston, MA  02110-1301  USA.
#The copy of the GNU General Public License is found in the 
#COPYING file included in the source distribution.


#Authors:

#Joyce Alessandra Saul               (joycealess@gmail.com)
#Andre Mossinato                     (andremossinato@gmail.com)
#Nathalia Sautchuk Patrício          (nathalia.sautchuk@gmail.com)
#Pedro Kayatt                        (pekayatt@gmail.com)
#Rafael Barbolo Lopes                (barbolo@gmail.com)
#Alexandre A. Gonçalves Martinazzo   (alexandremartinazzo@gmail.com)

CFLAGS = `pkg-config --cflags gtk+-2.0 pygtk-2.0` -I/usr/include/python2.5/ -I. -I/usr/include/pygtk-2.0/
LDFLAGS = `pkg-config --libs gtk+-2.0 pygtk-2.0`

fill.so: fill.o eggfill.o fillmodule.o
	$(CC) $(LDFLAGS) -shared $^ -o $@

DEFS=`pkg-config --variable=defsdir pygtk-2.0`
# Generate the C wrapper
fill.c: fill.defs fill.override
	pygtk-codegen-2.0 --prefix fill \
	--register $(DEFS)/gdk-types.defs \
	--register $(DEFS)/gdk-base.defs \
	--register $(DEFS)/gtk-types.defs \
	--override fill.override \
	fill.defs > $@

clean:
	rm -f fill.so *.o fill.c *~

=== honey/tamtam/common/Util/Clooper/Makefile ===
CC=gcc

CXXFLAGS+= -Wall -Werror  -fPIC -O2 -finline
LDFLAGS+=  -lasound 

LDFLAGS+=  -L/usr/local/lib -lcsound

CPPFLAGS+=-I/home/james/cvs/sugar-jhbuild/build/include/python2.5
LDFLAGS+=-L/home/james/cvs/sugar-jhbuild/build/lib 

CPPFLAGS+=-I/usr/include/python2.5
LDFLAGS+=-lpython2.5

all : aclient.so

aclient.so : aclient.cpp audio.cpp
	g++ $(CPPFLAGS) $(CXXFLAGS) -shared -o $@ $< $(LDFLAGS)

clean :
	rm aclient.so

=== glucose/sugar-update-control/debian/changelog ===
sugar-update-control (0.20) unstable; urgency=low

  * Fix even more packaging problems

 -- Bernie Innocenti <bernie@codewiz.org> Tue, 3 Mar 2009 04:38:58 +0100

sugar-update-control (0.19) unstable; urgency=low

  * Fix packaging problems; actually distribute translation files.

 -- C. Scott Ananian <cscott@laptop.org>  Wed, 17 Dec 2008 17:20:58 -0500

sugar-update-control (0.18) unstable; urgency=low

  * Trac #9044: Pick up Spanish translations for release.

 -- Chris Ball <cjb@laptop.org>  Fri, 12 Dec 2008 16:43:17 -0400

sugar-update-control (0.17) unstable; urgency=low

  * Trac #7845, #8681: don't die if ~/Activities doesn't exist.
    This fixes a regression introduced in 0.15.

 -- C. Scott Ananian <cscott@laptop.org>  Sun, 28 Sep 2008 09:37:17 -0400

sugar-update-control (0.16) unstable; urgency=low

  * Filter out library/library.info when it's not in the root directory
    of the bundle.

 -- C. Scott Ananian <cscott@laptop.org>  Thu, 25 Sep 2008 11:43:09 -0400

sugar-update-control (0.15) unstable; urgency=low

  * Minor fixes: strip whitespace when parsing HTML, avoid an unusual crash
    when cleaning up from a failed install.
  * If we've applied the 'G1G1 upgrade hack' to kludge in the G1G1 group,
    make sure this extra group persists.  This avoids incomplete installs
    if a network error occurs in the middle.

 -- C. Scott Ananian <cscott@laptop.org>  Wed, 24 Sep 2008 12:21:36 -0400

sugar-update-control (0.14) unstable; urgency=low

  * Trac #8502: clean up icon cruft in /tmp
  * Trac #8106: support content bundles in addition to activity bundles.
  * Trac #8532: disable SIGCHLD handler to fix thread & subprocess interaction.
  * Properly time out slow activity group fetches.

 -- C. Scott Ananian <cscott@laptop.org>  Wed, 17 Sep 2008 17:02:00 -0400

sugar-update-control (0.13) unstable; urgency=low

  * Trac #8415: set base HREF for redirected update_urls correctly.
  * Trac #8502: clean up URL cache when control panel is closed.

 -- C. Scott Ananian <cscott@laptop.org>  Tue, 16 Sep 2008 15:05:36 -0400

sugar-update-control (0.12) unstable; urgency=low

  * Trac #8361, #8393: don't allow bad update_urls to crash the updater.
  * Disable auto-close.

 -- C. Scott Ananian <cscott@laptop.org>  Fri, 12 Sep 2008 21:57:44 -0400

sugar-update-control (0.11) unstable; urgency=low

  * Fix egregious typos in v0.10. =(

 -- C. Scott Ananian <cscott@laptop.org>  Wed, 03 Sep 2008 11:01:02 -0400

sugar-update-control (0.10) unstable; urgency=low

  * Trac #8149: don't let malformed activity bundles kill the updater.
  * Allow groups to provide newer versions of the activities then exist
    at the activities update_url, to make it easier to create a group
    for testing 'prerelease' versions.

 -- C. Scott Ananian <cscott@laptop.org>  Tue, 02 Sep 2008 17:21:13 -0400

sugar-update-control (0.9) unstable; urgency=low

  * Trac #7979: fix downloads via squid-using school server.
    Workaround for python issue 3566: http://bugs.python.org/issue3566
  * Improve support for cancelling incomplete, hung, or slow downloads.
  * Trac #7865: stale "download size" label contents.
  * Don't use partial reads unnecessarily to download activity bundles.
  * Better installation feedback for delays caused by trac #7733.

 -- C. Scott Ananian <cscott@laptop.org>  Wed, 20 Aug 2008 11:11:27 -0400

sugar-update-control (0.8) unstable; urgency=low

  * Catch 404 when trying to determine the size of a prospective update.
  * Catch exception caused by malformed activity bundle.
  * Use update_url in bundle's activity.info if present.
  * Inhibit suspend during refresh and download/install.
  * Trac #7622: preserve favorites status across upgrade.

 -- C. Scott Ananian <cscott@laptop.org>  Wed, 13 Aug 2008 00:35:00 -0400

sugar-update-control (0.7) unstable; urgency=low

  * Trac #7845: create ~olpc/Activities if it does not exist.

 -- C. Scott Ananian <cscott@laptop.org>  Thu, 07 Aug 2008 00:06:00 -0400

sugar-update-control (0.6) unstable; urgency=low

  * Update to match sugar patch for dlo trac #7495.
  * Don't download large activity bundles to memory.

 -- C. Scott Ananian <cscott@laptop.org>  Wed, 06 Aug 2008 13:35:00 -0400

sugar-update-control (0.5) unstable; urgency=low

  * UI improvements, based on Eben's mockups.

 -- C. Scott Ananian <cscott@laptop.org>  Thu, 31 Jul 2008 14:50:00 -0400

sugar-update-control (0.4) unstable; urgency=low

  * Better support for multiple groups.
  * Sort activities case-insensitively; handle non-ASCII names better.
  * Support automatically closing control panel if no updates found.

 -- C. Scott Ananian <cscott@laptop.org>  Mon, 21 Jul 2008 19:41:00 -0400

sugar-update-control (0.3) unstable; urgency=low

  * Support editing/reordering activity groups.

 -- C. Scott Ananian <cscott@laptop.org>  Wed, 16 Jul 2008  1:49:00 -0400

sugar-update-control (0.2) unstable; urgency=low

  * First mostly-working version.

 -- C. Scott Ananian <cscott@laptop.org>  Sat, 12 Jul 2008  3:24:00 -0400

sugar-update-control (0.1) unstable; urgency=low

  * Initial packaging.

 -- C. Scott Ananian <cscott@laptop.org>  Fri, 11 Jul 2008 13:06:00 -0400

=== glucose/sugar-update-control/debian/control ===
Source: sugar-update-control
Priority: optional
Section: x11
Maintainer: C. Scott Ananian <cscott@laptop.org>
Standards-Version: 3.8.0
Homepage: http://dev.laptop.org/git?p=users/cscott/sugar-update-control
Build-Depends: python-support (>= 0.6), debhelper (>= 5)

Package: sugar-update-control
Architecture: all
Depends: ${python:Depends}, sugar (>= 0.83.0)
#Provides: ${python:Provides}
Description: Activity update control panel for Sugar.
 This package contains a control panel for the Sugar graphical environment
 which locates and installs activity updates.

=== glucose/sugar-update-control/debian/rules ===
#!/usr/bin/make -f
PYTHONBASE=$(CURDIR)/debian/tmp/var/lib/python-support/python2.5

build:
	python setup.py build

install:
	python setup.py install --no-compile \
	   --root=$(CURDIR)/debian/sugar-update-control

clean:
	dh_testdir
	dh_testroot

	dh_clean
	rm -f *.dat

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdirs -i
	dh_install -i
	dh_pysupport
	dh_link -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_md5sums -i
	dh_gencontrol -i
	dh_installdeb -i
	dh_builddeb -i

binary: binary-indep

.PHONY: binary binary-arch binary-indep build clean install
